These are chat archives for Microsoft/CodeContracts

26th
Jan 2016
Yaakov
@yaakov-h
Jan 26 2016 08:58
@SergeyTeplyakov Hey, I have a bit of a strange feature request - can the output path to the declarative assembly be made configurable? I need it to be modifiable, currently the only way is by editing Code Contract's .targets file.
I'll try put together a formal proposal in the coming days, but would appreciate it if this could land in the next version.
Sergey Teplyakov
@SergeyTeplyakov
Jan 26 2016 23:14
@yaakov-h I thought to publish new rc release today, so the proposed fix obviously would not be there, but I would be happy to release new version once will implement that proposal
Yaakov
@yaakov-h
Jan 26 2016 23:14
ok, thanks
Sergey Teplyakov
@SergeyTeplyakov
Jan 26 2016 23:44
Ok, everyone, it finally happens: v.1.10-rc1 is out!
Yaakov
@yaakov-h
Jan 26 2016 23:49
\o/
Severity Code Description Project File Line Suppression State
Error Could not install package 'DotNet.Contracts 1.10.10126.2'. You are trying to install this package into a project that targets '.NETFramework,Version=v4.6', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author. 0
Sergey Teplyakov
@SergeyTeplyakov
Jan 26 2016 23:52
oops!
Yaakov
@yaakov-h
Jan 26 2016 23:53
I'm not quite sure how the package is supposed to specificy framework compatibility
Sergey Teplyakov
@SergeyTeplyakov
Jan 26 2016 23:53
I've tested nuget package version all the time.. and that was a while when I've tested msi
is it nuget package?
or msi?
Yaakov
@yaakov-h
Jan 26 2016 23:53
nuget, from the gallery
Sergey Teplyakov
@SergeyTeplyakov
Jan 26 2016 23:53
because technically speaking there is now dependencies on .nET Framework at all....
Yaakov
@yaakov-h
Jan 26 2016 23:55
maybe that's what's confusing it?